Subject: bug#62736: resizing emacs via remote X is horrible slow

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Sep 2023 16:33:44 -0700

Harald Dunkel <[email-masked]> writes:

> Using emacs 28.2 ("emacs-lucid", built on Debian Testing) via xlib
> protocol on a remote site it is horrible slow on a window resize. If
> it does a window refresh, shows some new text, scrolls text up or
> down or whatever, then emacs is as fast as expected. Only resizing
> the window sucks (sorry).
>
> Would it be possible to optimze emacs in this respect?
>
> If I run the same emacs in a remote xterm session, then it is 3 orders
> of magnitude faster. Now the xterm is responsible for running xlib protocol, resizing the window and sending SIGWINCH to emacs. What has
> xterm, that emacs doesn't have?
>
> Even if you don't focus on remote XWindow connections, this problem
> shows that there is something fishy in emacs. A local XWindow connction
> via lan or AF_UNIX might benefit of an optimization as well.

Why do you write "as fast as expected"?  Does that mean that Emacs used
to be faster, and if yes, in which version did it become slow?

Thanks.